> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggregated origin shielding usage statistics

> The number of CDN resources that use origin shielding.

Request URL parameters should be added as a query string after the endpoint.



## OpenAPI

````yaml /api-reference/services_documented/cdn_api.yaml get /cdn/statistics/shield_usage/aggregated
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN service
    description: Information about the current state of the CDN service in your account.
    x-displayName: CDN service
  - name: CDN resources
    x-displayName: CDN resources
  - name: Origins
    x-displayName: Origins
  - name: Rules
    description: >-
      Rules allow to set up custom settings for certain file types or paths.

      By default, the rule inherits all options values from the related CDN
      resource.


      Each option in rule settings can be in one of the following states:

      - **Inherit** - Option is not added to the rule. Option inherits its value
      from the CDN resource settings. In this case, the option value is
      **null**.

      - **ON** - Option is added to the rule and enabled. Option values
      configured in the rule will override values from the CDN resource
      settings.

      - **OFF** - Option is added to the rule and disabled. Option will be
      turned off.
    x-displayName: Rules
  - name: Rule templates
    x-displayName: Rule templates
  - name: SSL certificates
    x-displayName: SSL certificates
  - name: Let's Encrypt certificates
    x-displayName: Let's Encrypt certificates
  - name: CA certificates
    x-displayName: CA certificates
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
    x-displayName: CDN activity logs
  - name: Log viewer
    description: >-
      Log viewer provides you with general information about CDN operation. This
      information does not contain all possible

      sets of fields and restricted by time. To receive full data, use Logs
      Uploader.
    x-displayName: Log viewer
  - name: Logs uploader
    description: >-
      Logs uploader allows you to upload logs with desired format to desired
      storages.


      Consists of three main parts:

      - **Policies** - rules that define which logs are uploaded and how they
      are uploaded.

      - **Targets** - destinations where logs are uploaded.

      - **Configs** - combinations of logs uploader policies, targets and
      resources to which they are applied.
    x-displayName: Logs uploader
  - name: Tools
    x-displayName: Tools
  - name: CDN Statistics
    description: >-
      Consumption statistics is updated in near real-time as a standard
      practice.

      However, the frequency of updates can vary, but they are typically
      available within a 24-hour period.

      Exceptions, such as maintenance periods, may delay data beyond 24 hours
      until servers resume and fill in the missing statistics.
    x-displayName: Statistics
  - name: Advanced analytics
    description: >-
      Advanced analytics allows to get statistics about unique visitors,
      traffic, and requests for countries, directories, browsers, devices, and
      operation systems for up to 90 days starting from today.


      Advanced analytics API is based on the [GraphQL
      framework](https://graphql.org/).


      Advanced analytics API has one single endpoint:

       https://api.gcore.com/cdn/advanced/v2/query

      You can pass the query parameters as a JSON object in the payload of a
      POST request to this endpoint.

      You can use curl to make requests to the Advanced analytics API.
      Alternatively, you can use a GraphQL client

      to construct queries and pass requests to the Advanced analytics API.


      You can write queries in GraphQL much like in SQL: specify the data set
      (CDN resource), the metrics

      to retrieve (such as unique visitors and traffic), and filter or group by
      dimensions (for example, a country).
    x-displayName: Advanced analytics
  - name: Origin shielding
    x-displayName: Origin shielding
  - name: IP addresses list
    x-displayName: IP addresses list
  - name: Purge history
    x-displayName: Purge history
paths:
  /cdn/statistics/shield_usage/aggregated:
    get:
      tags:
        - CDN Statistics
      summary: Aggregated origin shielding usage statistics
      description: >-
        The number of CDN resources that use origin shielding.


        Request URL parameters should be added as a query string after the
        endpoint.
      operationId: aggregated-origin-shielding-usage-statistics
      parameters:
        - $ref: '#/components/parameters/query-from'
        - $ref: '#/components/parameters/query-to'
        - $ref: '#/components/parameters/group_by_aggregated'
        - $ref: '#/components/parameters/resource'
        - $ref: '#/components/parameters/flat'
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetShieldUsageAggregatedStat'
        '204':
          description: There is no data for the requested time period.
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            shield_aggregated_stats =
            client.cdn.statistics.get_shield_usage_aggregated(
                from_="from",
                to="to",
            )

            print(shield_aggregated_stats._1_example)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cdn\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tshieldAggregatedStats, err := client.CDN.Statistics.GetShieldUsageAggregated(context.TODO(), cdn.StatisticGetShieldUsageAggregatedParams{\n\t\tFrom: \"from\",\n\t\tTo:   \"to\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", shieldAggregatedStats.Number1Example)\n}\n"
components:
  parameters:
    query-from:
      in: query
      name: from
      schema:
        type: string
      required: true
      description: Beginning of the requested time period (ISO 8601/RFC 3339 format, UTC.)
    query-to:
      in: query
      name: to
      schema:
        type: string
      required: true
      description: End of the requested time period (ISO 8601/RFC 3339 format, UTC.)
    group_by_aggregated:
      in: query
      name: group_by
      schema:
        type: string
      description: |-
        Output data grouping.

        Possible value:
        - **resource** - Data is grouped by CDN resources.
    resource:
      in: query
      name: resource
      schema:
        type: integer
      description: >-
        CDN resources IDs by that statistics data is grouped.


        To request multiple values, use:

        - &resource=1&resource=2


        If CDN resource ID is not specified, data related to all CDN resources
        is returned.
    flat:
      in: query
      name: flat
      schema:
        type: boolean
      description: |-
        The way the parameters are arranged in the response.

        Possible values:
        - **true** – Flat structure is used.
        - **false** – Embedded structure is used (default.)
  schemas:
    GetShieldUsageAggregatedStat:
      type: object
      properties:
        resource:
          type: object
          description: Resources IDs by which statistics data is grouped.
        1 (example):
          type: object
          description: CDN resource ID for which statistics data is shown.
        metrics:
          type: object
          description: Statistics parameters.
        shield_usage:
          type: string
          description: Number of CDN resources that used origin shielding.
      example:
        resource:
          '1':
            metrics:
              shield_usage: 1
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````